Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235290 - CVE-2007-1558 Evolution APOP information disclosure
Summary: CVE-2007-1558 Evolution APOP information disclosure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard: source=redhat,reported=20070401,publi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 20:38 UTC by Josh Bressers
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: evolution-data-server-1.8.3-5.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-24 21:19:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 424373 None None None Never

Description Josh Bressers 2007-04-04 20:38:47 UTC
+++ This bug was initially created as a clone of Bug #235289 +++

A flaw has been found in the way Evolution handles APOP authentication.  It is
possible for an attacker to discover authentication credentials by sending
certain responses to Evolution.

The upstream bug has more details:
http://bugzilla.gnome.org/show_bug.cgi?id=424373

This flaw should also affect FC5

Comment 1 Matthew Barnes 2007-04-24 21:19:49 UTC
Fixed in evolution-data-server-1.8.3-5.fc6.

Also ported to 1.6.3-3.fc5 and 1.10.1-2.fc7.


Note You need to log in before you can comment on or make changes to this bug.